#version 430 core

layout(location = 0) in vec3 in_position;

out vec3 text_coords;

uniform mat4 viewProjMatrix;

void main()
{
	text_coords = in_position;
	vec4 position = viewProjMatrix * vec4(in_position, 1.0);
	gl_Position = position.xyww;
}